Package com.smartgwt.client.types

# Enum DateEditingStyle

java.lang.Object
java.lang.Enum<DateEditingStyle>
com.smartgwt.client.types.DateEditingStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DateEditingStyle>`, `Constable`

public enum DateEditingStyle extends Enum<DateEditingStyle> implements ValueEnum
The type of date/time editing style to use when editing an event.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATE`
  allows editing of the logical start and end dates of the event
  `DATETIME`
  allows editing of both date and time
  `TIME`
  allows editing of the time portion of the event only

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DateEditingStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DateEditingStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DATE

    public static final DateEditingStyle DATE
    allows editing of the logical start and end dates of the event

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "date".

  - ### DATETIME

    public static final DateEditingStyle DATETIME
    allows editing of both date and time

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "datetime".

  - ### TIME

    public static final DateEditingStyle TIME
    allows editing of the time portion of the event only

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "time".

- ## Method Details

  - ### values

    public static DateEditingStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DateEditingStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`